{
  "criteria": {
    "button": {
      "trigger": "minecraft:any_block_use",
      "conditions": {
        "location": [
          {
            "condition": "minecraft:location_check",
            "predicate": {
              "position": {
                "x": -7.5,
                "y": 103.5,
                "z": 4.5
              },
              "block": {
                "blocks": "#minecraft:buttons"
              }
            }
          },
          {
            "condition": "minecraft:match_tool",
            "predicate": {}
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "projectswords:spectator_team"
  }
}